Bug 41912 - [System.FormatException] MSBuild property evaluation failed: FrameworkVersion.Replace(".", "").PadRight(3,"0")
Summary: [System.FormatException] MSBuild property evaluation failed: FrameworkVersion...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: 6.0.0 (C7)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: (C8)
Assignee: Lluis Sanchez
URL:
Depends on:
Blocks:
 
Reported: 2016-06-16 20:37 UTC by Stephen Shaw
Modified: 2016-07-11 10:11 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Stephen Shaw 2016-06-16 20:37:50 UTC
ERROR [2016-06-16 12:46:17Z]: MSBuild property evaluation failed: FrameworkVersion.Replace(".", "").PadRight(3,"0")
System.FormatException: String must be exactly one character long.
  at System.Convert.ToChar (System.String value, IFormatProvider provider) [0x0002d] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/convert.cs:559 
  at System.String.System.IConvertible.ToChar (IFormatProvider provider) [0x00000] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/string.cs:3338 
  at System.Convert.ChangeType (System.Object value, System.Type conversionType, IFormatProvider provider) [0x000a2] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/convert.cs:351 
  at MonoDevelop.Projects.MSBuild.MSBuildEvaluationContext.ConvertArg (System.Reflection.MethodInfo method, Int32 argNum, System.Object value, System.Type parameterType) [0x00065] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/core/MonoDevelop.Core/MonoDevelop.Projects.MSBuild/MSBuildEvaluationContext.cs:598 
  at MonoDevelop.Projects.MSBuild.MSBuildEvaluationContext.EvaluateMember (System.Type type, System.Object instance, System.String str, Int32 i, System.Object& val) [0x00141] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/core/MonoDevelop.Core/MonoDevelop.Projects.MSBuild/MSBuildEvaluationContext.cs:461
Comment 1 xamarin-release-manager 2016-07-07 18:36:42 UTC
Fixed in version 6.2.0.7 (master)

Author: Lluis Sanchez
Commit: 5e239388cf6b6397e0c0036727a83ddf80c9e093 (mono/monodevelop)
Comment 2 xamarin-release-manager 2016-07-08 08:08:28 UTC
Fixed in version 6.1.0.5106 (cycle8)

Author: Lluis Sanchez
Commit: 22cf92ac5ec7b4b48c4dcaa0b745e0c55c328cc0 (mono/monodevelop)
Comment 5 Sunil Kumar 2016-07-11 10:11:00 UTC
This issue is hard to reproduce as mentioned in comment 4. As per discussion with @Luis I have executed XS smoke test cases to check its regression.

Here is the link for the same: https://testrail.xamarin.com/index.php?/plans/view/43470

I didn't find any regression issue while execution of smoke test plan. Hence closing this issue marking its status as VERIFIED.

Thanks!

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.